MM2GV(1)

NAME
mm2gv - Matrix Market-DOT converters

SYNOPSIS
mm2gv [ -u? ] [ -ooutfile ] [ file ]

DESCRIPTION
mm2gv converts a sparse matrix of the Matrix Market format to a graph in the GV (formerly DOT) format.

OPTIONS
The following options are supported:

-u  If specified, the graph is assumed to be undirected. By default the graph generated is directed.

-ooutfile
    Prints output to the file outfile. If not given, mm2gv uses stdout.

OPERANDS
The following operand is supported:

file
    Name of the file in MatrixMarket format. If no file operand is specified, the standard input will be used.

RETURN CODES
Return 0 if there were no problems during conversion; and non-zero if any error occurred.

LIMITATIONS
Currently the matrix entry values are not used.

AUTHORS
Yifan Hu <yifanhu@research.att.com>

ADDITIONAL INFO
See http://math.nist.gov/MatrixMarket/ for description of the format and http://www.cise.ufl.edu/research/sparse/matrices/ for a large collection of sparse matrices in this format.